petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCASMSetLocalType

Sets the type of composition used for local problems in the additive Schwarz method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMSetLocalType(PC pc, PCCompositeType type)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - type of composition, one of

      PC_COMPOSITE_ADDITIVE       - local additive combination
      PC_COMPOSITE_MULTIPLICATIVE - local multiplicative combination

### Options Database Key

-pc_asm_local_type [additive,multiplicative] -Sets local solver composition type

### See Also

PCASMSetType(), PCASMGetType(), PCASMGetLocalType(), PCASMCreate()

Level:intermediate
Location:src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages